Welcome to the Linux Foundation Forum!

PSI secure browser ???

So I was about to launch my exam and then I come to a page with download PSI Secure browser button. PSI what...? Hm... OK. So I click on the download button, nothing happens... I was on Vivaldi. I change to Chrome, same. I change to Firefox, a pop-up opens saying "Can't find App..." I start looking around internet for this secure browser and after some time I reopen candidate handbook just to realize that the verification process has changed since I got verified for passing the exam, and that now we have to download this secure browser which is .exe (???) Obviously, I can't use .exe files since I'm on Linux system...

I couldn't launch my exam, I submitted a ticket to support to see if I can get a retake seeing that I haven't been notified about this change and hence couldn't foresee that I won't be able to pass the exam (I was thinking all is good since I already pass LFCS and LFCE exams)

The emotions of disbelief and anger take turns inside of me, while I ask myself - is this a joke ? Is it possible that Linux Foundation asks us to pass our exams on Windows ?

On this link however Ubuntu is still on the list of operating systems.

So, if anyone can explain what's going on I would really appreciate it, and I'll keep you posted when I get a response from support team

P.S.
I don't know if this forum is the best place to post this, I'm doing it because it all happened while trying to pass JSNAD but I guess it applies for all the other Linux Foundation exams, so mods please move it to more adequate place if needed...

Best Answer

  • k0dard
    k0dard Posts: 115
    Answer ✓

    So I got a reply from the Support team, and apparently the file being .exe was an error in the documentation which has been corrected and there is also a .tar file that should be automatically download if your system is Linux. However when I was clicking the button that just didn't happen.

    Also the docs say that the file will be automatically downloaded during the System check stage, but that is not happening either. ATM the Support team confirmed that automatic download is not working and is checking to see if there are some issues on the side of PSI.

    They do claim that the browser would download before launching the exam, which didn't happen for me...

    Anyway, we can consider this a temporary problem and to answer my own question - there is a PSI secure browser for Linux and we can pass exams on Ubuntu :)

«1

Answers

  • Yes, It is a safe browser. If at any point during the check-in process or the exam the application becomes unresponsive:

    Contact your exam administrator for assistance
    To exit the PSI Secure Browser, close the application via File > Exit or the Task Manager
    Relaunch the exam via the PSI Secure Browser desktop icon

  • I couldn't take the exam because of this problem. When I click in the button and agree with the pop up, nothing happens, the browser does not install and the exam is not launched. In this case, is it possible to reschedule?

  • fcioanca
    fcioanca Posts: 1,448

    Hi @Talles ,

    Please open a ticket with the Customer Support team at trainingsupport.linuxfoundation.org and they will assist you.

    Regards,

    Flavia

  • k0dard
    k0dard Posts: 115

    Second time I'm trying to take the JSNAD exam, I am scheduled at 12h30 but I'm supposed to be able to start the check-in procedure at 12h. When I click on Take Exam button I just get Error 500 - Internal Server Error.


    This is getting really really annoying. On top of the frustration just before the exam, a candidate is supposed to sacrifice a couple of hours or a day (in my case) every time a problem occurs on the side of PSI (which seems to be quite often). Not to mention the fact that we have to install some third party software on our computers...

    I'll try until 13h which is the end of my time window but if I don't manage to take the exam this time I'm going to consider asking for a refund...

  • fcioanca
    fcioanca Posts: 1,448

    Hi @k0dard ,

    We are sorry to hear about the issues you are having with the exam. Please open a ticket with the Customer Support team at trainingsupport.linuxfoundation.org and they will assist you. The forum is used exclusively for course content-related issues.

    Regards,

    Flavia

  • same problem here today. I wasted my all morning for try to take the exam. than nothing I wasnt able to take it

  • kbarratt
    kbarratt Posts: 7

    Hi @fabiano.bonomini

    We are sorry to hear about your experience. Please open a ticket at trainingsupport.linuxfoundation.org and the Customer Support team will assist you.

    Regards,

    Kassidy Barratt
    The Linux Foundation Training Team

  • Hi @kbarratt I already did it. hoping for a response and a solution

  • sirgabriel
    sirgabriel Posts: 3

    I can't believe this is my last day, I'm using Ubuntu 20.04 with Google Chrome. I can't open PSI browser. Why?

  • fcioanca
    fcioanca Posts: 1,448

    Hi @sirgabriel

    If you have not done so already, please open a ticket with the Linux Foundation Customer Support team at trainingsupport.linuxfoundation.org.

    Regards,

    Flavia

  • martinheinz
    martinheinz Posts: 1

    Hi @kbarratt @sirgabriel were you able to get the secure browser to download? When I try to download the browser from https://tca.psiexams.com/portal/testdelivery/sb_rpnow_download.jsp on Ubuntu, I get an error. Is the there URL which works for Linux (Ubuntu)?

  • fcioanca
    fcioanca Posts: 1,448

    Hi @martinheinz

    For any questions or issues regarding exams, please open a ticket at trainingsupport.linuxfoundation.org and the Customer Support team will assist you.

    Regards,

    Flavia

    The Linux Foundation Training Team

  • amanmanapure
    amanmanapure Posts: 3
    edited July 24

    Hello!
    I have downloaded and installed the PSI browser but when am trying to open it nothing happens. Please help me ASAP!
    OS: Ubuntu 22.04 LTS

  • fcioanca
    fcioanca Posts: 1,448

    Hi @amanmanapure

    For any questions or issues regarding exams, please open a ticket at trainingsupport.linuxfoundation.org and the Customer Support team will assist you.

    Regards,

    Flavia

    The Linux Foundation Training Team

  • fcioanca
    fcioanca Posts: 1,448

    Hi,

    The Customer Support team will assist you within business hours.

    Kind regards,

    Flavia

  • okay :)

  • Same issue happened to me today. I have downloaded the PSI secure browser during the checking. Then when I click launch the exam button it is not opening and prompted to download again and again. Therefore I was unable to take the exam. I have already submitted a ticket.

    https://jira.linuxfoundation.org/plugins/servlet/theme/portal/15/TCCS-38894?sda_source=notification-email

  • faizank4
    faizank4 Posts: 1

    Same happened with me on 7th August. Downloaded PSI secure browser and it showed it had been installed but it was not opening. Reinstalled 5 times, deleted all previous files as they instructed. Nothing happened. I wasted all my time doing this. I opened a ticket to PSI support and they responded within 2 hours. I talked to their support for around 50-60 mins, they also did not find the issue on my Ubuntu 20.04 OS. They admitted something is wrong at their side. They asked me to open a ticket at Linux Foundation. I opened a ticket on Sunday night and got response on Wednesday evening. They reset the status of my exam. Finally, I am in peace.

  • Can't run PSI secure browser, during my CKA exam, have no idea why. Could you please add proper system requirement check? It showed it was fine and now I'm bugged trying to fix issue during exam time for which I paid $. Would be nice if I could prepare system for exam before exam, not during...

  • fcioanca
    fcioanca Posts: 1,448

    Hi @mantas.sk

    We are sorry to hear you are experiencing issues with your exam. If you have not done so, please open a ticket with the Linux Foundation Customer Support team and they will be assisting you.

    Regards,

    Flavia

  • Hi, I have the same problem, I installed everything according to the instructions and Secure Browser just won't launch. I checked my PC before the exam and everything was ok.

  • fcioanca
    fcioanca Posts: 1,448

    Hi @coder4bio

    If you have not done so already, please open a ticket with the Linux Foundation Customer Support team at trainingsupport.linuxfoundation.org and they will assist you.

    Regards,

    Flavia

  • Hi @coder4bio,
    I got the same error as you an opened a ticket but I m curious if you got an answer and what was the solution ?

    Regards,
    Guillaume

  • @guillaumemailhol said:
    Hi @coder4bio,
    I got the same error as you an opened a ticket but I m curious if you got an answer and what was the solution ?

    Regards,
    Guillaume

    I'm having the same problem here, I reinstalled, restarted the system, it started to open an hour but in the end it didn't work :(

  • alanm10
    alanm10 Posts: 1

    Same error here while trying to launch the PSI Browser v2.5.7: "A key component cannot start. Please reinstall". Performed the exam pre-check test. It is really frustrating that this is happening for an exam for which we pay a considerable amount of money. PSI and LFX should check that this is working prior to the exam, as it is an stressful situation. Already created a support case.

  • I have the same error while trying to launch the PSI Browser 2.6.0, "A key component cannot start. Please reinstall", my operating system is Ubuntu 22.04.1 LTS .

    Already create a support case, please help me, this is my first attempt :neutral:
    https://jira.linuxfoundation.org/plugins/servlet/desk/portal/15/TCCS-47112

Categories

Upcoming Training